package cn.com.qmth.am.config;

import java.io.File;
import java.util.List;

import org.apache.commons.collections4.CollectionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import com.qmth.boot.core.solar.model.OrgInfo;
import com.qmth.boot.core.solar.service.SolarService;

import cn.com.qmth.am.service.OcrService;
import cn.com.qmth.am.service.StudentScoreService;
import cn.com.qmth.am.service.StudentService;

@Component
public class InitData implements CommandLineRunner {

    private static final Logger log = LoggerFactory.getLogger(InitData.class);

    @Autowired
    private SysProperty sysProperty;

    @Autowired
    private SolarService solarService;

    @Autowired
    private StudentScoreService studentScoreService;

    @Autowired
    private StudentService studentService;

    @Autowired
    private OcrService ocrService;

    @Override
    public void run(String... args) throws Exception {
        List<OrgInfo> orgs = null;
        try {
            orgs = solarService.getOrgList();
        } catch (Exception e) {
            log.error("激活授权失败");
            System.exit(1);
        }
        if (CollectionUtils.isEmpty(orgs)) {
            log.error("授权信息有误");
            System.exit(1);
        }
        File dataDir = new File(sysProperty.getDataDir());
        if (!dataDir.exists()) {
            dataDir.mkdir();
        }
        resetTaskStatus();
        // ocrService.ocr();
    }

    private void resetTaskStatus() {
        studentScoreService.resetStatus();
        studentService.resetStatus();
    }

}
