package cn.com.qmth.am.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.qmth.am.entity.base.IdEntity;
import cn.com.qmth.am.enums.DataStatus;

@TableName("am_student_score")
public class StudentScoreEntity extends IdEntity {

	private static final long serialVersionUID = -6261302618070108336L;

	private Long studentId;
	private Long questionId;
	private Long examId;

	private String subjectCode;
	private String studentCode;
	private Integer mainNumber;
	private String subNumber;

	// 机评分
	private Double aiScore;
	// 人评分
	private Double markingScore;
	// 机评得分率
	private Double scoreRatio;
	//ocr状态
	private DataStatus answerStatus;
	//评分状态
	private DataStatus scoreStatus;
	//ocr结果
	private String answer;

	//错误信息
    @TableField(updateStrategy = FieldStrategy.IGNORED)
	private String errMsg;
    
    //机评返回null
    private Boolean scoreNone;

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public String getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(String subNumber) {
		this.subNumber = subNumber;
	}

	public Double getAiScore() {
		return aiScore;
	}

	public void setAiScore(Double aiScore) {
		this.aiScore = aiScore;
	}

	public Double getMarkingScore() {
		return markingScore;
	}

	public void setMarkingScore(Double markingScore) {
		this.markingScore = markingScore;
	}

	public Double getScoreRatio() {
		return scoreRatio;
	}

	public void setScoreRatio(Double scoreRatio) {
		this.scoreRatio = scoreRatio;
	}


	public String getErrMsg() {
		return errMsg;
	}

	public void setErrMsg(String errMsg) {
		this.errMsg = errMsg;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getSubjectCode() {
		return subjectCode;
	}

	public void setSubjectCode(String subjectCode) {
		this.subjectCode = subjectCode;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public DataStatus getAnswerStatus() {
		return answerStatus;
	}

	public void setAnswerStatus(DataStatus answerStatus) {
		this.answerStatus = answerStatus;
	}

	public DataStatus getScoreStatus() {
		return scoreStatus;
	}

	public void setScoreStatus(DataStatus scoreStatus) {
		this.scoreStatus = scoreStatus;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public Long getQuestionId() {
		return questionId;
	}

	public void setQuestionId(Long questionId) {
		this.questionId = questionId;
	}

	public Boolean getScoreNone() {
		return scoreNone;
	}

	public void setScoreNone(Boolean scoreNone) {
		this.scoreNone = scoreNone;
	}

}
