package cn.com.qmth.am.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.am.bean.AnswerImageDto;
import cn.com.qmth.am.bean.StudentScoreImageDto;
import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.entity.StudentEntity;
import cn.com.qmth.am.entity.StudentScoreEntity;
import cn.com.qmth.am.enums.DataStatus;

/**
 * 类注释
 */
public interface StudentScoreService extends IService<StudentScoreEntity> {

	void importScore();

	List<StudentScoreEntity> getByStudentId(Long id);

	void add(StudentEntity student, Map<Long, QuestionEntity> quetions,List<StudentScoreEntity> scores);

	void updateAnswerErr(Long id, String string);

	void createSlice(StudentScoreEntity score, QuestionEntity q, Map<Integer, AnswerImageDto> answerImages);

	StudentScoreImageDto pollStudentScoreImage();

	void ocr(StudentScoreImageDto dto);

	void aiMarking(StudentScoreEntity score);

	void resetStatus();

	List<StudentScoreEntity> findAllToAiMarking();

	int countBy(Long examId, DataStatus success);

	int countOcrBy(Long examId, DataStatus success);

	void removeBy(Long examId, String subjectCode);

	List<StudentScoreEntity> findBy(Long examId, String subjectCode, Integer mainNumber, String subNumber,
			Boolean exZero, Integer count,Integer score);

	List<StudentScoreEntity> findToAiMarking(Long studentId);

}
