package cn.com.qmth.am.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import com.qmth.boot.core.concurrent.service.ConcurrentService;

import cn.com.qmth.am.enums.LockType;
import cn.com.qmth.am.service.StudentScoreService;

@Service
public class StudentScoreImportJob {

    @Autowired
    private ConcurrentService concurrentService;
    
    @Autowired
    private StudentScoreService studentScoreService;

    @Scheduled(fixedDelay = 5 * 1000, initialDelay = 10 * 1000)
    public void doJob() {
        boolean lock = concurrentService.getReadWriteLock(LockType.MARKING_SCORE_IMPORT.name()).writeLock().tryLock();
        try {
            if (!lock) {
                return;
            }
            studentScoreService.importScore();
        } finally {
            if (lock) {
                concurrentService.getReadWriteLock(LockType.MARKING_SCORE_IMPORT.name()).writeLock().unlock();
            }
        }
    }

}
